Bug 1947946 - Operator upgrades can delete existing CSV before completion
Summary: Operator upgrades can delete existing CSV before completion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Ben Luddy
QA Contact: kuiwang
URL:
Whiteboard:
Depends On: 1857877
Blocks: 1904583
TreeView+ depends on / blocked
 
Reported: 2021-04-09 14:56 UTC by Evan Cordell
Modified: 2021-07-27 22:59 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: CustomResourceDefinition objects applied as part of an operator installation could sometimes satisfy the installation requirements of a newer version of the same operator. Consequence: During an operator upgrade, the version being replaced could be prematurely removed. In some cases, this could cause the upgrade to become stuck. Fix: CRDs that are created or updated as part of operator bundle installation are annotated to indicate their bundle of origin. These annotations are used by the CSV controller to distinguish between pre-existing CRDs and same-bundle CRDs. Result: Upgrades will not complete until the current version's CRDs have been applied.
Clone Of: 1857877
Environment:
Last Closed: 2021-07-27 22:58:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 75 0 None open Bug 1947946: Annotate CRDs that are installed alongside CSVs. 2021-05-11 12:46:33 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:59:12 UTC

Comment 6 kuiwang 2021-05-19 00:52:51 UTC
Thanks Ben.

LGTM now.

Comment 9 errata-xmlrpc 2021-07-27 22:58:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.